; patch #1 for M100/T102 rom
; this patch reduced the amount of space needed in the LCD patterns table, enabling room for future changes

; blocks:

;		7467 - 746E checked
;		74BB - 74EA checked
;		7551 - 75AA checked
;		75AB - 763F hole created

	


;--------------------------------------------------------------------------------------

;PATCH2
; Proposed replacement code 7467 to 746E
;checked

	.org	07467H
	
p2:	LXI 	H,7643H
	CALL 	p5
	NOP
	NOP


;--------------------------------------------------------------------------------------
;PATCH3
; Proposed replacement code 74BB to 74EA
; checked

	.org	074BBH

p3:	RLC
	MOV C,A
	MVI B,00H
	LXI H,7551H
	DAD B
	MOV C,M
	INX H
	MOV A,M
	PUSH PSW
	LDA 0FFF4H
	RAR
	RAR
	RAR
	LXI H,7643H
	CALL p5
	CALL 753BH
	SHLD 0FFF6H
	POP PSW
	ORA B
	MOV B,A
	POP H
	DCR D
	CALL 74F7H
	INR D
	MVI A,06H
	SUB E
	RZ
	MOV E,A
	PUSH H
	LHLD 0FFF6H


;--------------------------------------------------------------------------------------
;PATCH4
; this is the corrected LCD table  7551 to 75A0  240 bytes
; 75A1 to 7640 is free to use, 160 bytes total
; checked

	.org	07551H	; 80 bytes
p4:	.db	00H,00H,00H,06H,00H,0CH,00H,12H,00H,18H,00H,1EH,00H,24H,00H,2AH
	.db	00H,30H
	.db	02H,04H,02H,0AH,02H,10H,02H,16H,02H,1CH,02H,22H,02H,28H,02H,2EH
	.db	04H,02H,04H,08H,04H,0EH,04H,14H,04H,1AH,04H,20H,04H,26H,04H,2CH
	.db	06H,00H,06H,06H,06H,0CH,06H,12H,06H,18H,06H,1EH,06H,24H,06H,2AH
	.db	06H,30H
	.db	08H,04H,08H,0AH,08H,10H,08H,16H,08H,1CH,08H,22H




;--------------------------------------------------------------------------------------
;PATCH5
; Proposed subroutine at 75A1H to 75AA
; checked
	.org	075A1H

p5:	JNC ahead1
	MVI L,4DH
ahead1:	MVI B,00H
	DAD B
	MOV B,A
	RET
	

; 75A1 to 75AA is used
; 75AB to 7640 free to use

;--------------------------------------------------------------------------------------

	.org	075ABh
	.db	00,00,00,00,00
	.db	00,00,00,00,00,00,00,00
	.db	00,00,00,00,00,00,00,00	
	.db	00,00,00,00,00,00,00,00
	.db	00,00,00,00,00,00,00,00	
	.db	00,00,00,00,00,00,00,00
	.db	00,00,00,00,00,00,00,00	
	.db	00,00,00,00,00,00,00,00
	.db	00,00,00,00,00,00,00,00	
	.db	00,00,00,00,00,00,00,00
	.db	00,00,00,00,00,00,00,00	
	.db	00,00,00,00,00,00,00,00
	.db	00,00,00,00,00,00,00,00	
	.db	00,00,00,00,00,00,00,00
	.db	00,00,00,00,00,00,00,00	
	.db	00,00,00,00,00,00,00,00
	.db	00,00,00,00,00,00,00,00
	.db	00,00,00,00,00,00,00,00
	.db	00,00,00,00,00,00,00,00	
	.db 	00

.end




